events.listen('recipes', function (event) {
event.shaped(item.of('world_of_faruk:comp_obs'), [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'minecraft:obsidian',
    B: 'kubejs:dimensional_pellet'
  })

event.shaped(item.of('world_of_faruk:comp_obs_2'), [
  'AAA',
  'ABA',
  'AAA'
], {
  A: 'world_of_faruk:comp_obs',
  B: 'kubejs:trinium_plate'
})

event.shaped(item.of('world_of_faruk:comp_obs_3'), [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'world_of_faruk:comp_obs_2',
    B: 'kubejs:dimensional_core'
  })

event.shaped(item.of('world_of_faruk:faruk_land'), [
    'CAC',
    'ABA',
    'CAC'
  ], {
    A: 'minecraft:netherite_ingot',
    B: 'bloodmagic:lavacrystal',
    C: 'kubejs:trinium_plate'
  })

  event.shaped(item.of('4x mekanismmatter:trinium_ingot'), [
    'BAB',
    'ABA',
    'BAB'
  ], {
    A: 'mekanismmatter:trinium_dust',
    B: 'mekanismmatter:universal_matter'
  })

event.shaped(item.of('kubejs:inactive_dimensional_pellet'), [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'mekanismmatter:universal_matter',
    B: 'mekanism:enriched_refined_obsidian'
  })

event.recipes.bloodmagic.altar('kubejs:dimensional_pellet', 'kubejs:inactive_dimensional_pellet').upgradeLevel(4).altarSyphon(10000).consumptionRate(50).drainRate(69)

})